| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
RemoteLocatorsAllocationAttributes Struct Reference

Holds limits for collections of remote locators. More...

`#include <RTPSParticipantAllocationAttributes.hpp>`

## Public Member Functions

bool | operator== (const RemoteLocatorsAllocationAttributes &b) const

## Public Attributes

size_t | max_unicast_locators = 4u
| Maximum number of unicast locators per remote entity.
size_t | max_multicast_locators = 1u
| Maximum number of multicast locators per remote entity.

## Detailed Description

Holds limits for collections of remote locators.

## Member Function Documentation

## ◆ operator==()

bool operator== | ( | const RemoteLocatorsAllocationAttributes & | b | ) | const

inline

## Member Data Documentation

## ◆ max_multicast_locators

size_t max_multicast_locators = 1u

Maximum number of multicast locators per remote entity.

This attribute controls the maximum number of multicast locators to keep for each discovered remote entity (be it a participant, reader of writer). The default value of 1 is usually enough, as it doesn't make sense to add more than one multicast locator per entity.

## ◆ max_unicast_locators

size_t max_unicast_locators = 4u

Maximum number of unicast locators per remote entity.

This attribute controls the maximum number of unicast locators to keep for each discovered remote entity (be it a participant, reader of writer). It is recommended to use the highest number of local addresses found on all the systems belonging to the same domain as this participant.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/attributes/RTPSParticipantAllocationAttributes.hpp